from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from .com.sun.star.uno import XInterface

@runtime_checkable
class XContextMenuInterceptor(XInterface, Protocol):
    def notifyContextMenuExecute(self, aEvent: inContextMenuExecuteEvent) -> ContextMenuInterceptorAction: ...
